> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a page collection



## OpenAPI

````yaml /openapi/platform/page.yaml GET /v1/pages/{page_id}/collections
openapi: 3.1.0
info:
  title: Page API
  version: '1.0'
  description: >-
    ### The page object


    The page object is a screen where you can view a “collection” of data, which
    is typically displayed in cards. You use a page to organize, manage, and
    share content to other users in Domo. Pages allow you to send external
    reports, create holistic filters across all metrics within the page, or have
    conversations in Domo’s Buzz tool about the data associated to the entire
    page.  The Page API allows you to create, delete,  retrieve a page or a list
    of pages, and update page information and content within a page.


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | The name of the page

    id | string | The ID of the page

    parentId | integer | The ID of the page that is higher in organizational
    hierarchy 

    owners | array | List of IDs of page owners

    locked | boolean | Determines whether users (besides the page owner) can
    make updates to page or its content - the default value is false

    collectionIds | array | The IDs of collections within a page

    cardIds | array | The ID of all cards contained within the page

    children | object | All pages that are considered "sub pages" in
    organizational hierarchy

    visibility | object | Determines the access given to both individual users
    or groups within Domo

    userIds | array | The IDs of users with access to the page

    groupIds | array | The IDs of groups with access to the page
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/pages/{page_id}/collections:
    parameters:
      - schema:
          type: integer
        name: page_id
        in: path
        required: true
        description: ID of page that contains the page collection
    get:
      tags: []
      summary: Retrieve a page collection
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    title:
                      type: string
                    description:
                      type: string
                    cardIds:
                      type: array
                      items:
                        type: integer
              examples:
                Example 1:
                  value:
                    - id: 284760742
                      title: >-
                        Executive Pulse: 6 metrics you should check every
                        morning.
                      description: ''
                      cardIds:
                        - 1349867785
                        - 519660200
                        - 1581963101
                        - 1793085897
                        - 883306279
                        - 2065775735
                    - id: 218043425
                      title: >-
                        Leads and Opportunities: See where most of your
                        prospects are coming from.
                      description: ''
                      cardIds:
                        - 2142729150
                        - 722896244
                        - 817752006
                        - 417097071
                        - 2126821636
                    - id: 1236388313
                      title: 'Sales: What you can do today to exceed your sales goals.'
                      description: ''
                      cardIds:
                        - 1006593467
                        - 931119744
                        - 659079801
                        - 1885170395
                    - id: 705581826
                      title: >-
                        Sales Reps: Recognize, reward and position your top
                        talent for top performance.
                      description: ''
                      cardIds:
                        - 563365994
                        - 663359659
                        - 1901443339
                        - 623100687
                        - 1712451993
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````